#include "widget.h"

#include <QApplication>
#include <windows.h>
#include <objbase.h>
#include <QFile>

int main(int argc, char *argv[])
{
    // QApplication::setAttribute(Qt::AA_EnableHighDpiScaling);
    QApplication a(argc, argv);

    a.setFont(QFont("Microsoft YaHei UI"));
    Widget w;
    w.setWindowIcon(QIcon(QPixmap(":/qrc/image/icon.png")));
    QFile qss(":/qrc/qss/blacksoft.qss");
    if (qss.open(QFile::ReadOnly)) {
        QString qss_str = QLatin1String(qss.readAll());
//        w.setPalette(QPalette(QColor(63, 60, 55)));
//        qApp->setPalette(QPalette(QColor(63, 60, 55)));
        qApp->setStyleSheet(qss_str);
        qss.close();
    }
    w.show();
    return a.exec();
}
